Exception::getMessage
Exception::getFile
Exception
PHP Manual

# Exception::getCode

(PHP 5 >= 5.1.0)

Exception::getCode — Obtém o código da exceção

### Descrição

final public int Exception::getCode ( void )

Retorna o código da exceção.

### Parâmetros

Esta função não contém parâmetros.

### Valor Retornado

Retorna o código da Exceção como um integer.

### Exemplos

Exemplo #1 Exemplo da Exception::getCode()

`<?php
try {
throw new Exception("Some error message", 30);
} catch(Exception $e) {
echo "The exception code is: " . $e->getCode();
}
?>`

O exemplo acima irá imprimir algo similar a:

    The exception code is: 30

Exception::getMessage
Exception::getFile
Exception
PHP Manual